function PrisonEscapeMission3:StartEpilogue()
	--Create an invisible brain.
	self.brain = CreateActor("Base.rte/Brain Case");
	self.brain.Team = Activity.TEAM_1;
	self.brain.Pos = Vector(0, -25);
	self.brain.Scale = 0;
	self.brain.GetsHitByMOs = false;
	self.brain.HitsMOs = false;
	MovableMan:AddActor(self.brain);
	self:SetPlayerBrain(self.brain, Activity.PLAYER_1);
    self:SwitchToActor(self.brain, Activity.PLAYER_1, -1);
    
    --The texts to show.
    self.displayText = { 
                        "PRISON ESCAPE - EPILOGUE",
                        "The Ronin headquarters was rebuilt, and Dafred continued to lead the Ronin to victory.",
                        "After being treated for a broken ribcage, Fiona was promoted to Dafred's personal pilot.",
                        "Sandra, Brutus and Gordon were fondly remembered by their hundreds of identical twins.",
                        "Richard Borno now lives out his days in the Ronin mess hall as the processing unit of the world's most intelligent can opener.",
                        "THE END",
                        "Thanks for playing!\r\nPress ESCAPE to quit."
    };
    
    --The current number within self.displayText to show.
    self.displayNumber = 1;
    
    --The timer for changing texts.
    self.changeTimer = Timer();
    
    --Timer for waiting between texts.
    self.betweenTimer = Timer();
    
    --How long to display a text for.
    self.changeTime = 7500;
    
    --How long to wait before displaying the next text.
    self.betweenTime = 500;
    
    --Play music.
	AudioMan:ClearMusicQueue();
	AudioMan:PlayMusic("Base.rte/Music/dBSoundworks/uwinfinal.ogg", 0, -1);
end

function PrisonEscapeMission3:UpdateEpilogue()
    self:ResetMessageTimer(Activity.PLAYER_1);
    FrameMan:ClearScreenText(Activity.PLAYER_1);
	
	if self.betweenTimer:IsPastRealMS(self.betweenTime) then
		FrameMan:SetScreenText(self.displayText[self.displayNumber], Activity.PLAYER_1, 0, 5000, true);
	end
	if self.changeTimer:IsPastRealMS(self.changeTime) and self.displayNumber < #self.displayText then
		self.displayNumber = self.displayNumber + 1;
		self.changeTimer:Reset();
		self.betweenTimer:Reset();
	end
end

function PrisonEscapeMission3:EndEpilogue()

end